/*******************************************************************************
 *  Copyright CONSORTIUM COCKTAIL (www.cocktail.org), 1995, 2008
 *
 *  This software is governed by the CeCILL license under French law and abiding
 *  by the rules of distribution of free software. You can use, modify and/or
 *  redistribute the software under the terms of the CeCILL license as circulated
 *  by CEA, CNRS and INRIA at the following URL "http://www.cecill.info".
 *
 *  As a counterpart to the access to the source code and rights to copy, modify
 *  and redistribute granted by the license, users are provided only with a
 *  limited warranty and the software's author, the holder of the economic
 *  rights, and the successive licensors have only limited liability.
 *
 *  In this respect, the user's attention is drawn to the risks associated with
 *  loading, using, modifying and/or developing or reproducing the software by
 *  the user in light of its specific status of free software, that may mean that
 *  it is complicated to manipulate, and that also therefore means that it is
 *  reserved for developers and experienced professionals having in-depth
 *  computer knowledge. Users are therefore encouraged to load and test the
 *  software's suitability as regards their requirements in conditions enabling
 *  the security of their systems and/or data to be ensured and, more generally,
 *  to use and operate it in the same conditions as regards security.
 *
 *  The fact that you are presently reading this means that you have had
 *  knowledge of the CeCILL license and that you accept its terms.
 *
 *******************************************************************************/

package org.cocktail.sapics.client.gui;

import java.awt.BorderLayout;
import java.util.Vector;

import javax.swing.BorderFactory;
import javax.swing.JScrollPane;
import javax.swing.ListSelectionModel;
import javax.swing.SwingConstants;

import org.cocktail.sapics.client.eof.model.EOAttribution;
import org.cocktail.sapics.client.eof.model.EOFournis;
import org.cocktail.sapics.client.eof.model.EOTitulaire;
import org.cocktail.sapics.client.swing.TableSorter;
import org.cocktail.sapics.client.swing.ZEOTable;
import org.cocktail.sapics.client.swing.ZEOTableModel;
import org.cocktail.sapics.client.swing.ZEOTableModelColumn;
import org.cocktail.sapics.client.utilities.CocktailConstantes;

import com.webobjects.eointerface.EODisplayGroup;

/**
 *
 * @author  cpinsard
 */
public class LotFournisseursView extends javax.swing.JPanel {

	/**
	 *
	 */
	private static final long serialVersionUID = -5215034001427989613L;

	protected EODisplayGroup eodTitulaires, eodAttributions, eodCoTraitants;

	protected ZEOTable myEOTableTitulaires, myEOTableAttributions, myEOTableCoTraitants;
	protected ZEOTableModel myTableModelTitulaires, myTableModelAttributions , myTableModelCoTraitants;
	protected TableSorter myTableSorterTitulaires, myTableSorterAttributions, myTableSorterCoTraitants;

	/** Creates new form TemplateJPanel */
	public LotFournisseursView(EODisplayGroup dgTitulaires, EODisplayGroup dgAttributions, EODisplayGroup dgCoTraitants) {

		eodTitulaires = dgTitulaires;
		eodAttributions = dgAttributions;
		eodCoTraitants = dgCoTraitants;

		initComponents();
		initGui();

	}


	/** This method is called from within the constructor to
	 * initialize the form.
	 * WARNING: Do NOT modify this code. The content of this method is
	 * always regenerated by the Form Editor.
	 */

    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        viewTableTitulaires = new javax.swing.JPanel();
        btnAddTitulaire = new javax.swing.JButton();
        btnDelTitulaire = new javax.swing.JButton();
        btnSetAttribution = new javax.swing.JButton();
        btnUpdateAttribution = new javax.swing.JButton();
        btnDelAttribution = new javax.swing.JButton();
        jTextField1 = new javax.swing.JTextField();
        jTextField2 = new javax.swing.JTextField();
        viewTableCoTraitants = new javax.swing.JPanel();
        jTextField3 = new javax.swing.JTextField();
        btnAddCoTraitant = new javax.swing.JButton();
        btnDelCoTraitant = new javax.swing.JButton();
        btnSetAttributionCoTraitant = new javax.swing.JButton();
        viewTableAttributions = new javax.swing.JPanel();
        btnShowRib = new javax.swing.JButton();
        tfRib = new javax.swing.JTextField();
        btnDelRib = new javax.swing.JButton();
        jLabel1 = new javax.swing.JLabel();

        viewTableTitulaires.setBorder(javax.swing.BorderFactory.createBevelBorder(javax.swing.border.BevelBorder.RAISED));
        viewTableTitulaires.setLayout(new java.awt.BorderLayout());

        btnAddTitulaire.setToolTipText("Ajout d'un titulaire");

        btnDelTitulaire.setToolTipText("Suppression du titulaire sélectionné");

        btnSetAttribution.setToolTipText("Génération d'une attribution");
        btnSetAttribution.setBorderPainted(false);
        btnSetAttribution.setFocusPainted(false);
        btnSetAttribution.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnSetAttributionActionPerformed(evt);
            }
        });

        btnUpdateAttribution.setToolTipText("Modfication de l'attribution sélectionnée");

        btnDelAttribution.setToolTipText("Suppression de l'attribution sélectionnée");

        jTextField1.setBackground(CocktailConstantes.BG_COLOR_GREY);
        jTextField1.setFont(new java.awt.Font("Times New Roman", 0, 11));
        jTextField1.setForeground(CocktailConstantes.BG_COLOR_WHITE);
        jTextField1.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        jTextField1.setText("TITULAIRES");

        jTextField2.setBackground(CocktailConstantes.BG_COLOR_GREY);
        jTextField2.setFont(new java.awt.Font("Times New Roman", 0, 11));
        jTextField2.setForeground(CocktailConstantes.BG_COLOR_WHITE);
        jTextField2.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        jTextField2.setText("ATTRIBUTIONS");
        jTextField2.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jTextField2ActionPerformed(evt);
            }
        });

        viewTableCoTraitants.setBorder(javax.swing.BorderFactory.createBevelBorder(javax.swing.border.BevelBorder.RAISED));
        viewTableCoTraitants.setLayout(new java.awt.BorderLayout());

        jTextField3.setBackground(CocktailConstantes.BG_COLOR_GREY);
        jTextField3.setFont(new java.awt.Font("Times New Roman", 0, 11));
        jTextField3.setForeground(CocktailConstantes.BG_COLOR_WHITE);
        jTextField3.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        jTextField3.setText("CO TRAITANTS");

        btnAddCoTraitant.setToolTipText("Ajout d'un co-traitant");

        btnDelCoTraitant.setToolTipText("Suppression du co-traitant sélectionné");

        btnSetAttributionCoTraitant.setToolTipText("Génération d'une attribution");
        btnSetAttributionCoTraitant.setBorderPainted(false);
        btnSetAttributionCoTraitant.setFocusPainted(false);
        btnSetAttributionCoTraitant.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnSetAttributionCoTraitantActionPerformed(evt);
            }
        });

        viewTableAttributions.setBorder(javax.swing.BorderFactory.createBevelBorder(javax.swing.border.BevelBorder.RAISED));
        viewTableAttributions.setLayout(new java.awt.BorderLayout());

        btnShowRib.setToolTipText("Affichage / Association d'un RIB à l'attribution");

        tfRib.setEditable(false);
        tfRib.setToolTipText("RIB associé à cette attribution");
        tfRib.setEnabled(false);

        btnDelRib.setToolTipText("Affichage / Association d'un RIB à l'attribution");

        jLabel1.setText("RIB");

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(viewTableCoTraitants, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 381, Short.MAX_VALUE)
                    .add(viewTableTitulaires, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 381, Short.MAX_VALUE)
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, jTextField1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 381, Short.MAX_VALUE)
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, jTextField3, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 381, Short.MAX_VALUE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(btnAddTitulaire, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(btnDelTitulaire, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(btnAddCoTraitant, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(btnDelCoTraitant, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .add(71, 71, 71)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                                .add(jTextField2, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 381, Short.MAX_VALUE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(btnUpdateAttribution, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                                .add(viewTableAttributions, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 381,  Short.MAX_VALUE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(btnDelAttribution, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
		        				//                      .add(18, 18, 18)
		        				.add(jLabel1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 31, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
		        				.addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
		        				.add(tfRib, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 320, Short.MAX_VALUE)
		        				.addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
		        				.add(btnShowRib, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
		        				.addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
		        				.add(btnDelRib, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 24, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
            				)
                		)
                    )

                    .add(btnSetAttribution, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 75, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(btnSetAttributionCoTraitant, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 75, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                )
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(jTextField1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(btnAddTitulaire, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                            .add(layout.createSequentialGroup()
                                .add(btnDelTitulaire, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(btnSetAttribution, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 33, Short.MAX_VALUE))
                            .add(org.jdesktop.layout.GroupLayout.LEADING, viewTableTitulaires, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 61, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(jTextField3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(btnAddCoTraitant, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                            .add(layout.createSequentialGroup()
                                .add(btnDelCoTraitant, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(btnSetAttributionCoTraitant, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 33, Short.MAX_VALUE))
                            .add(org.jdesktop.layout.GroupLayout.LEADING, viewTableCoTraitants, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 60, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
//                                .add(15, 15, 15)
                     )
                    .add(layout.createSequentialGroup()
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(btnUpdateAttribution, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(jTextField2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(btnDelAttribution, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(org.jdesktop.layout.GroupLayout.LEADING, viewTableAttributions, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 108, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        // RIB
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(btnDelRib, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(btnShowRib, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
	                            .add(tfRib)
	                            .add(jLabel1))
                        )
            		)
        		)
                .add(0, 0, 0))
        );
    }// </editor-fold>//GEN-END:initComponents

    private void btnSetAttributionActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnSetAttributionActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_btnSetAttributionActionPerformed

    private void jTextField2ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jTextField2ActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_jTextField2ActionPerformed

    private void btnSetAttributionCoTraitantActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnSetAttributionCoTraitantActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_btnSetAttributionCoTraitantActionPerformed


    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton btnAddCoTraitant;
    private javax.swing.JButton btnAddTitulaire;
    private javax.swing.JButton btnDelAttribution;
    private javax.swing.JButton btnDelCoTraitant;
    private javax.swing.JButton btnDelRib;
    private javax.swing.JButton btnDelTitulaire;
    private javax.swing.JButton btnSetAttribution;
    private javax.swing.JButton btnSetAttributionCoTraitant;
    private javax.swing.JButton btnShowRib;
    private javax.swing.JButton btnUpdateAttribution;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JTextField jTextField1;
    private javax.swing.JTextField jTextField2;
    private javax.swing.JTextField jTextField3;
    private javax.swing.JTextField tfRib;
    protected javax.swing.JPanel viewTableAttributions;
    protected javax.swing.JPanel viewTableCoTraitants;
    protected javax.swing.JPanel viewTableTitulaires;
    // End of variables declaration//GEN-END:variables




	private void initGui() {

		btnAddTitulaire.setIcon(CocktailConstantes.ICON_ADD);
		btnDelTitulaire.setIcon(CocktailConstantes.ICON_DELETE);

		btnAddCoTraitant.setIcon(CocktailConstantes.ICON_ADD);
		btnDelCoTraitant.setIcon(CocktailConstantes.ICON_DELETE);

		btnSetAttribution.setIcon(CocktailConstantes.ICON_FLECHE_D_32);
		btnSetAttributionCoTraitant.setIcon(CocktailConstantes.ICON_FLECHE_D_32);

		btnShowRib.setIcon(CocktailConstantes.ICON_SELECT_16);
		btnDelRib.setIcon(CocktailConstantes.ICON_DELETE);

		btnUpdateAttribution.setIcon(CocktailConstantes.ICON_UPDATE);
		btnDelAttribution.setIcon(CocktailConstantes.ICON_DELETE);

		Vector<ZEOTableModelColumn> myCols = new Vector<ZEOTableModelColumn>();

		ZEOTableModelColumn col = new ZEOTableModelColumn(eodTitulaires, EOTitulaire.FOURNISSEUR_KEY+"."+EOFournis.NOM_KEY, "Fournisseur", 150);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodTitulaires, "adresseFournisseur", "Adresse", 140);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);


		myTableModelTitulaires = new ZEOTableModel(eodTitulaires, myCols);
		myTableSorterTitulaires = new TableSorter(myTableModelTitulaires);

		myEOTableTitulaires = new ZEOTable(myTableSorterTitulaires);
		//myEOTableNuits.addListener(myListenerContrat);
		//myTableSorterTitulaires.setTableHeader(myEOTableTitulaires.getTableHeader());

		myEOTableTitulaires.setBackground(CocktailConstantes.COLOR_BKG_TABLE_VIEW);
		myEOTableTitulaires.setSelectionBackground(CocktailConstantes.COLOR_SELECTED_ROW);
		myEOTableTitulaires.setSelectionMode(ListSelectionModel.MULTIPLE_INTERVAL_SELECTION);

		viewTableTitulaires.setLayout(new BorderLayout());
		viewTableTitulaires.setBorder(BorderFactory.createEmptyBorder(2,2,2,2));
		viewTableTitulaires.removeAll();
		viewTableTitulaires.add(new JScrollPane(myEOTableTitulaires), BorderLayout.CENTER);


		// CO TRAITANTS
		myCols = new Vector<ZEOTableModelColumn>();

		col = new ZEOTableModelColumn(eodCoTraitants, EOTitulaire.FOURNISSEUR_KEY+"."+EOFournis.NOM_KEY, "Fournisseur", 150);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodCoTraitants, "adresseFournisseur", "Adresse", 140);
		col.setAlignment(SwingConstants.CENTER);
		myCols.add(col);


		myTableModelCoTraitants = new ZEOTableModel(eodCoTraitants, myCols);
		myTableSorterCoTraitants = new TableSorter(myTableModelCoTraitants);

		myEOTableCoTraitants = new ZEOTable(myTableSorterCoTraitants);
		//myEOTableNuits.addListener(myListenerContrat);
		//myTableSorterTitulaires.setTableHeader(myEOTableTitulaires.getTableHeader());

		myEOTableCoTraitants.setBackground(CocktailConstantes.COLOR_BKG_TABLE_VIEW);
		myEOTableCoTraitants.setSelectionBackground(CocktailConstantes.COLOR_SELECTED_ROW);
		myEOTableCoTraitants.setSelectionMode(ListSelectionModel.MULTIPLE_INTERVAL_SELECTION);

		viewTableCoTraitants.setLayout(new BorderLayout());
		viewTableCoTraitants.setBorder(BorderFactory.createEmptyBorder(2,2,2,2));
		viewTableCoTraitants.removeAll();
		viewTableCoTraitants.add(new JScrollPane(myEOTableCoTraitants), BorderLayout.CENTER);


		// ATTRIBUTIONS
		 myCols = new Vector<ZEOTableModelColumn>();

		col = new ZEOTableModelColumn(eodAttributions, EOAttribution.ATT_INDEX_KEY, "Index", 45);
		col.setAlignment(SwingConstants.CENTER);
		myCols.add(col);

		col = new ZEOTableModelColumn(eodAttributions, EOAttribution.FOURNIS_KEY+"."+EOFournis.NOM_KEY, "Fournisseur", 200);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodAttributions, EOAttribution.ATT_HT_KEY, "Montant", 70);
		col.setAlignment(SwingConstants.RIGHT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodAttributions, EOAttribution.ATT_ACCEPTEE_KEY, "Réponse", 70);
		col.setAlignment(SwingConstants.CENTER);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodAttributions, EOAttribution.ATT_VALIDE_KEY, "Val", 50);
		col.setAlignment(SwingConstants.CENTER);
		myCols.add(col);


		myTableModelAttributions = new ZEOTableModel(eodAttributions, myCols);
		myTableSorterAttributions = new TableSorter(myTableModelAttributions);

		myEOTableAttributions = new ZEOTable(myTableSorterAttributions);
		//myEOTableIndemnite.addListener(myListenerContrat);
		myTableSorterAttributions.setTableHeader(myEOTableAttributions.getTableHeader());

		myEOTableAttributions.setBackground(CocktailConstantes.COLOR_BKG_TABLE_VIEW);
		myEOTableAttributions.setSelectionBackground(CocktailConstantes.COLOR_SELECTED_ROW);
		myEOTableAttributions.setSelectionMode(ListSelectionModel.MULTIPLE_INTERVAL_SELECTION);

		viewTableAttributions.setLayout(new BorderLayout());
		viewTableAttributions.setBorder(BorderFactory.createEmptyBorder(2,2,2,2));
		viewTableAttributions.removeAll();
		viewTableAttributions.add(new JScrollPane(myEOTableAttributions), BorderLayout.CENTER);

	}


	public ZEOTable getMyEOTableTitulaires() {
		return myEOTableTitulaires;
	}


	public void setMyEOTableTitulaires(ZEOTable myEOTableTitulaires) {
		this.myEOTableTitulaires = myEOTableTitulaires;
	}


	public ZEOTable getMyEOTableAttributions() {
		return myEOTableAttributions;
	}


	public void setMyEOTableAttributions(ZEOTable myEOTableAttributions) {
		this.myEOTableAttributions = myEOTableAttributions;
	}


	public ZEOTable getMyEOTableCoTraitants() {
		return myEOTableCoTraitants;
	}


	public void setMyEOTableCoTraitants(ZEOTable myEOTableCoTraitants) {
		this.myEOTableCoTraitants = myEOTableCoTraitants;
	}


	public ZEOTableModel getMyTableModelCoTraitants() {
		return myTableModelCoTraitants;
	}


	public void setMyTableModelCoTraitants(ZEOTableModel myTableModelCoTraitants) {
		this.myTableModelCoTraitants = myTableModelCoTraitants;
	}


	public javax.swing.JButton getBtnAddTitulaire() {
		return btnAddTitulaire;
	}


	public void setBtnAddTitulaire(javax.swing.JButton btnAddTitulaire) {
		this.btnAddTitulaire = btnAddTitulaire;
	}


	public javax.swing.JButton getBtnDelAttribution() {
		return btnDelAttribution;
	}


	public void setBtnDelAttribution(javax.swing.JButton btnDelAttribution) {
		this.btnDelAttribution = btnDelAttribution;
	}


	public javax.swing.JButton getBtnDelTitulaire() {
		return btnDelTitulaire;
	}


	public void setBtnDelTitulaire(javax.swing.JButton btnDelTitulaire) {
		this.btnDelTitulaire = btnDelTitulaire;
	}



	public javax.swing.JButton getBtnAddCoTraitant() {
		return btnAddCoTraitant;
	}


	public void setBtnAddCoTraitant(javax.swing.JButton btnAddCoTraitant) {
		this.btnAddCoTraitant = btnAddCoTraitant;
	}


	public javax.swing.JButton getBtnDelCoTraitant() {
		return btnDelCoTraitant;
	}


	public void setBtnDelCoTraitant(javax.swing.JButton btnDelCoTraitant) {
		this.btnDelCoTraitant = btnDelCoTraitant;
	}


	public javax.swing.JButton getBtnSetAttributionCoTraitant() {
		return btnSetAttributionCoTraitant;
	}


	public javax.swing.JTextField getTfRib() {
		return tfRib;
	}


	public javax.swing.JButton getBtnDelRib() {
		return btnDelRib;
	}


	public void setBtnDelRib(javax.swing.JButton btnDelRib) {
		this.btnDelRib = btnDelRib;
	}


	public void setTfRib(javax.swing.JTextField tfRib) {
		this.tfRib = tfRib;
	}


	public void setBtnSetAttributionCoTraitant(
			javax.swing.JButton btnSetAttributionCoTraitant) {
		this.btnSetAttributionCoTraitant = btnSetAttributionCoTraitant;
	}


	public javax.swing.JButton getBtnShowRib() {
		return btnShowRib;
	}


	public void setBtnShowRib(javax.swing.JButton btnShowRib) {
		this.btnShowRib = btnShowRib;
	}


	public javax.swing.JButton getBtnSetAttribution() {
		return btnSetAttribution;
	}

	public void setBtnSetAttribution(javax.swing.JButton btnSetAttribution) {
		this.btnSetAttribution = btnSetAttribution;
	}


	public javax.swing.JButton getBtnUpdateAttribution() {
		return btnUpdateAttribution;
	}


	public void setBtnUpdateAttribution(javax.swing.JButton btnUpdateAttribution) {
		this.btnUpdateAttribution = btnUpdateAttribution;
	}

}

